For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • POSTCreate Sales Appointment
        • GETGet Sales Appointments
        • GETGet Users
        • GETGet Dealers
        • GETSearch Customers
        • GETGet Vehicles
        • GETGet Lead Sources
        • GETGet Lead Types
        • GETGet Company Types
        • POSTCreate Customer
        • POSTCreate Lead
        • GETGet Sales Appointment
        • POSTCreate Call
Logo
Talk to usGet started
API ReferenceIntegrationsVin

Get Lead Types

GET
https://api.trykeet.com/v1/vin/lead-type
GET
/v1/vin/lead-type
$curl -G https://api.trykeet.com/v1/vin/lead-type \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d dealerId=dealerId
1{
2 "status": "ok",
3 "leadType": [
4 {
5 "leadTypeName": "leadTypeName",
6 "leadTypeId": "leadTypeId"
7 },
8 {
9 "leadTypeName": "leadTypeName",
10 "leadTypeId": "leadTypeId"
11 }
12 ]
13}
Get a list of the lead types for adding a customer
Was this page helpful?
Previous

Get Company Types

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Query parameters

dealerIdstringRequired

Response

This endpoint returns an object.
statusenum
Allowed values:
leadTypelist of objects

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error